<!DOCTYPE html>
<html dir="ltr" lang="sv">
	<head>
		<meta charset="utf-8" />
		<meta
			name="viewport"
			content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=5.0"
		/>
		<title>Stencil Component Starter</title>

    <link rel="stylesheet" href="//fonts.googleapis.com/css?family=Open+Sans:300,400,600,700" />
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <script type="module" src="/build/digi-core.esm.js"></script>
    <script nomodule src="/build/digi-core.js"></script>
    <link rel="stylesheet" href="build/digi-core.css" />
    <script>
      const LIST_ITEMS = [
          {
            "id": 0,
            "label": "Arbetsmiljö"
          },
          {
            "id": 1,
            "label": "Digitala tjänster"
          },
          {
            "id": 2,
            "label": "Digitalisering och omvärld",
          },
          {
            "id": 3,
            "label": "Förändring och utveckling"
          },
          {
            "id": 4,
            "label": "Hälsa",
          },
          {
            "id": 5,
            "label": "It i arbetet",
          },
          {
            "id": 6,
            "label": "Livslångt lärande"
          },
          {
            "id": 7,
            "label": "Tillgänglighet",
          }
        ].map((item) => ({
          ...item,
          "id": String(item.id)
        }))
    </script>
  </head>
  <body>
    <main style="padding: 1rem; display: flex-col; gap: 2rem;">
      <!-- <div>
        <digi-form-filter-presentational 
          af-filter-button-text="Välj områden"
          af-submit-button-text="Filtrera"
          af-reset-button-text="Återställ"
        ></digi-form-filter-presentational>
        <button id="filter-focus-inc">Inc Focus</button>
      </div> -->
      <div>
        <digi-form-filter 
          af-filter-button-text="Yrkesområde" 
          af-submit-button-text="Filtrera">
          <digi-form-checkbox af-label="Val 1"></digi-form-checkbox>
          <digi-form-checkbox af-label="Val 2"></digi-form-checkbox>
          <digi-form-checkbox af-label="Val 3"></digi-form-checkbox>
        </digi-form-filter>
      </div>
    </main>
    <script>
      const $filter = document.querySelector('digi-form-filter')
      // $filter.afListItems = LIST_ITEMS
    </script>
    <!-- <script>
      const $filter = document.querySelector('digi-form-filter-presentational')
      $filter.addEventListener('change', (event) => {
        console.log('change', event.detail.id, event.detail.isChecked)
        const item = event.detail
        if (item.isChecked) { // remove from checked list
          $filter.checked = $filter.checked.filter(id => id !== item.id)
        } else { // add to checked list
          $filter.checked = [...$filter.checked, item.id]
        }
      })
      $filter.addEventListener('keydown', (e) => {
        let supportsKey = true
        switch(e.key) {
          case 'ArrowDown':
            break
          case 'ArrowUp':
            break
          default:
            supportsKey = false
        }
      })
      $filter.addEventListener('refs', (event) => {
        const refs = event.detail
        console.log('refs', refs)
      })
      $filter.addEventListener('submit', (event) => {
        console.log('submit', event.detail)
        $filter.showMenu = false;
      })
      $filter.addEventListener('toggleMenu', (event) => {
        console.log('toggleMenu', event.detail)
        const nextState = !event.detail
        $filter.showMenu = nextState
      })
      $filter.addEventListener('reset', (event) => {
        console.log('reset', event.detail)
        $filter.checked = []
      })
      $filter.listItems = LIST_ITEMS
      $filter.checked = ["0","4","5"]
    </script> -->
  </body>
</html>
